<div class="margincenter">
<h2> Forum </h2>
<div style="text-align:left; margin-bottom: 20px">
<a mat-raised-button color="accent" routerLink="/new-topic">Neuen Beitrag erstellen</a>
</div>
<mat-tab-group mat-align-tabs="center">
  <mat-tab label="Allgemein">
    <table mat-table [dataSource]="topics" class="mat-elevation-z8">

      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef> Titel </th>
        <td mat-cell *matCellDef="let topic">

          <a [routerLink]="['/forum', topic.id]"> {{topic.title}} </a>  </td>
      </ng-container>
    
      <ng-container matColumnDef="author">
        <th mat-header-cell *matHeaderCellDef> Author </th>
        <td mat-cell *matCellDef="let topic"><div fxLayout="row" style="vertical-align: sub;"><div class="avatar"> <mat-icon>person</mat-icon></div> {{topic.author}}</div> </td>
      </ng-container>
    
      <ng-container matColumnDef="timestamp">
        <th mat-header-cell *matHeaderCellDef> Erstellt am </th>
        <td mat-cell *matCellDef="let topic"> {{topic.timestamp.toDate() | date: 'dd MMM yyyy hh:mm'}} </td>
      </ng-container>
      <ng-container matColumnDef="answers">
         <th mat-header-cell *matHeaderCellDef> Antworten </th>
         <td mat-cell *matCellDef="let topic"> 
            {{topic.posts.length}} Antworten
         
         </td>
       </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </mat-tab>
  <mat-tab label="Tagesbetreuung">
    <table mat-table [dataSource]="topics" class="mat-elevation-z8">

      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef> Titel </th>
        <td mat-cell *matCellDef="let topic">
          <a [routerLink]="['/forum', topic.id]"> {{topic.title}} </a>  </td>
      </ng-container>
    
      <ng-container matColumnDef="author">
        <th mat-header-cell *matHeaderCellDef> Author </th>
        <td mat-cell *matCellDef="let topic"> {{topic.author}} </td>
      </ng-container>
    
      <ng-container matColumnDef="timestamp">
        <th mat-header-cell *matHeaderCellDef> Erstellt am </th>
        <td mat-cell *matCellDef="let topic"> {{topic.timestamp.toDate() | date: 'dd MMM yyyy hh:mm'}} </td>
      </ng-container>
      <ng-container matColumnDef="answers">
        <th mat-header-cell *matHeaderCellDef> Antworten </th>
        <td mat-cell *matCellDef="let topic"> 
           {{topic.posts.length}} Antworten
        
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
<div >

</div>

  </mat-tab>
  <mat-tab label="Ernährung">
    <table mat-table [dataSource]="topics" class="mat-elevation-z8">

      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef> Titel </th>
        <td mat-cell *matCellDef="let topic">
          <a [routerLink]="['/forum', topic.id]"> {{topic.title}} </a>  </td>
      </ng-container>
    
      <ng-container matColumnDef="author">
        <th mat-header-cell *matHeaderCellDef> Author </th>
        <td mat-cell *matCellDef="let topic"> {{topic.author}} </td>
      </ng-container>
    
      <ng-container matColumnDef="timestamp">
        <th mat-header-cell *matHeaderCellDef> Erstellt am </th>
        <td mat-cell *matCellDef="let topic"> {{topic.timestamp.toDate() | date: 'dd MMM yyyy hh:mm'}} </td>
      </ng-container>
      <ng-container matColumnDef="answers">
        <th mat-header-cell *matHeaderCellDef> Antworten </th>
        <td mat-cell *matCellDef="let topic"> 
           {{topic.posts.length}} Antworten
        
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </mat-tab>
  <mat-tab label="Gesundheitliches">
    <table mat-table [dataSource]="topics" class="mat-elevation-z8">

      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef> Titel </th>
        <td mat-cell *matCellDef="let topic">
          <a [routerLink]="['/forum', topic.id]"> {{topic.title}} </a>  </td>
      </ng-container>
    
      <ng-container matColumnDef="author">
        <th mat-header-cell *matHeaderCellDef> Author </th>
        <td mat-cell *matCellDef="let topic"> {{topic.author}} </td>
      </ng-container>
    
      <ng-container matColumnDef="timestamp">
        <th mat-header-cell *matHeaderCellDef> Erstellt am </th>
        <td mat-cell *matCellDef="let topic"> {{topic.timestamp.toDate() | date: 'dd MMM yyyy hh:mm'}} </td>
      </ng-container>
      <ng-container matColumnDef="answers">
        <th mat-header-cell *matHeaderCellDef> Antworten </th>
        <td mat-cell *matCellDef="let topic"> 
           {{topic.posts.length}} Antworten
        
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </mat-tab>
  <mat-tab label="Technologien & Forschung">
    <table mat-table [dataSource]="topics" class="mat-elevation-z8">

      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef> Titel </th>
        <td mat-cell *matCellDef="let topic">
          <a [routerLink]="['/forum', topic.id]"> {{topic.title}} </a>  </td>
      </ng-container>
    
      <ng-container matColumnDef="author">
        <th mat-header-cell *matHeaderCellDef> Author </th>
        <td mat-cell *matCellDef="let topic"> {{topic.author}} </td>
      </ng-container>
    
      <ng-container matColumnDef="timestamp">
        <th mat-header-cell *matHeaderCellDef> Erstellt am </th>
        <td mat-cell *matCellDef="let topic"> {{topic.timestamp.toDate() | date: 'dd MMM yyyy hh:mm'}} </td>
      </ng-container>
      <ng-container matColumnDef="answers">
        <th mat-header-cell *matHeaderCellDef> Antworten </th>
        <td mat-cell *matCellDef="let topic"> 
           {{topic.posts.length}} Antworten
        
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </mat-tab>
  
</mat-tab-group>




 
</div>
